﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Controls;
using System.Collections;
using System.Windows.Markup;

namespace X4Solution
{
    public partial class MainPage : UserControl
    {
        RadChart rc = new RadChart();
        ChartArea ca = new ChartArea();
        DataSeries ds = new DataSeries();
        DataSeries ds2 = new DataSeries();

        public MainPage()
        {
            InitializeComponent();

            Style pathStyle1 = new Style(typeof(Path));
            pathStyle1.Setters.Add(new Setter(Shape.StrokeDashArrayProperty, "1"));
            pathStyle1.Setters.Add(new Setter(Shape.StrokeProperty, new SolidColorBrush(Colors.Cyan)));
            pathStyle1.Setters.Add(new Setter(Shape.StrokeThicknessProperty, 3));

            Style lineStyle1 = new Style(typeof(Telerik.Windows.Controls.Charting.SelfDrawingSeries));
            lineStyle1.Setters.Add(new Setter(SelfDrawingSeries.BorderLineStyleProperty, pathStyle1));

            Style pathStyle2 = new Style(typeof(Path));
            pathStyle2.Setters.Add(new Setter(Shape.StrokeDashArrayProperty, "1"));
            pathStyle2.Setters.Add(new Setter(Shape.StrokeProperty, new SolidColorBrush(Colors.Orange)));
            pathStyle2.Setters.Add(new Setter(Shape.StrokeThicknessProperty, 3));

            Style lineStyle2 = new Style(typeof(Telerik.Windows.Controls.Charting.SelfDrawingSeries));
            lineStyle2.Setters.Add(new Setter(SelfDrawingSeries.BorderLineStyleProperty, pathStyle2));

            rc.DefaultView.ChartLegend.Visibility = Visibility.Collapsed;

            ds.Definition = new LineSeriesDefinition() { SeriesStyle = lineStyle1, ShowItemLabels = false, ShowPointMarks = false };
            ds2.Definition = new LineSeriesDefinition() { SeriesStyle = lineStyle2, ShowItemLabels = false, ShowPointMarks = false };

            for (int i = 0; i < 10; i++)
            {
                ds.Add(new DataPoint(i * i * 2));
                ds2.Add(new DataPoint((i + 100) * i * 2));
            }

            ca.DataSeries.Add(ds);
            ca.DataSeries.Add(ds2);

            rc.DefaultView.ChartArea = ca;

            LayoutRoot.Children.Add(rc);
        }
    }
}
